Subject: [Sip] Questions on RFC4235 (Dialog Event Package)

From: "Victor Pascual Ávila" <[email-masked]>
Date: Wed, 6 Aug 2008 18:48:26 +0200

Please excuse me for cross-posting.

---------- Forwarded message ----------
From: Victor Pascual Ávila <[email-masked]>
Date: Wed, Aug 6, 2008 at 1:09 AM
Subject: Questions on RFC4235 (Dialog Event Package)
To: [email-masked]

Folks,
Just a few questions on RFC4235 [1]: An INVITE-Initiated Dialog Event
Package for the Session Initiation Protocol (SIP)

#Subscription to a specific dialog
The subscriber constructs a SUBSCRIBE request:
-The Event header contains a token which indicates the type of state
for which a subscription is being requested: dialog
-The Event header contains parameters: call-id, to-tag and from-tag

The notifier checks that the event package specified in the Event
header (dialog) is understood but the event header parameters
(call-id, to-tag and from-tag) don't match to any existing dialog.

Which is the proper behavior for the notifier?
a) Return a "489 Bad Event" response to indicate that the specified
event/event class is not understood
b) Accept the subscription and trigger a NOTIFY message including:
-Subscription-State header field set to noresource
-A body containing an error message
c) Others?

#Section 3.3. SUBSCRIBE Bodies, says:
A SUBSCRIBE request for a dialog package MAY contain a body.  This
body defines a filter to be applied to the subscription.  Filter
documents are not specified in this document, and at the time of
writing, they are expected to be the subject of future standardization
activity.

Is there any further work on it?

[1] ftp://ftp.rfc-editor.org/in-notes/rfc4235.txt

Cheers,
--
Victor Pascual Ávila

-- 
Victor Pascual Ávila
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip